﻿using LibOfdCreatorParam;
using Newtonsoft.Json;
using System.Collections.Specialized;
using System.Net;
using System.Net.Http;
using System.Text;

namespace WpfInvoiceClient
{
    /// <summary>
    /// web接口调用
    /// </summary>
    class OfdConvertorCall
    {
        public string HttpServerUrl { get; internal set; }

        internal void ConvertorCall(WebClientInputParam inputParam, out WebClientOutputParam ofdOutputParam)
        {
            string jsonText = JsonConvert.SerializeObject(inputParam);

            NameValueCollection postParam = new NameValueCollection();
            postParam.Add("input", jsonText);

            using (WebClient webClient = new WebClient())
            {
                byte[] data = webClient.UploadValues(HttpServerUrl, "POST", postParam);
                string strData = Encoding.UTF8.GetString(data);

                ofdOutputParam = JsonConvert.DeserializeObject<WebClientOutputParam>(strData);
            }
        }
    }
}
